<?php

/**
 * cambio_cuenta_mov actions.
 *
 * @package    Sofhouse
 * @subpackage cambio_cuenta_mov
 * @author     Software House
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class cambio_cuenta_movActions extends sfActions {

    /**
     * Actualizar registros de movimientos de una cuenta a otra
     *
     * @param sfRequest $request A request object
     */
    public function executeUpdate(sfWebRequest $request) {

        //sentencia sql
        $sql = <<<EOD
update cn_movimiento_contable	 mov_org
set mov_org.valor_base = null
where exists
  ( 
  
  select * from (
  
        select 
        
        mov.*
        
        from cn_movimiento_contable mov
        
        join cn_control_cad cad
        on cad.id_cad = mov.id_cad
        and cad.id_vigencia = mov.id_vigencia
        and cad.id_cen_op = mov.id_cen_op
        and cad.id_cia = mov.id_cia
        
        join cn_subc_digitos dig
        on dig.id_clase_cuenta = mov.id_clase_cuenta
        and dig.id_grupo_cuenta = mov.id_grupo_cuenta
        and dig.id_cuenta_mayor = mov.id_cuenta_mayor
        and dig.id_catalogo = mov.id_catalogo
        and dig.id_cia = cad.id_cia
        
        where 
        mov.id_vigencia = 2011
        and cad.id_vigencia = 2011
        and cad.id_periodo_contable = 1 
        and dig.digitos = '140108'
  
  )mov_ant
  
  where
  mov_org.id_mov_cont = mov_ant.id_mov_cont
  and mov_org.id_documento = mov_ant.id_documento
  and mov_org.id_cad = mov_ant.id_cad
  and mov_org.id_vigencia = mov_ant.id_vigencia
  and mov_org.id_cen_op = mov_ant.id_cen_op
  and mov_org.id_cia = mov_ant.id_cia
    
) 
EOD;
        //ejecuta el sql
        CN_TABLE::executeSQL($sql);
    }

}
